文档API 参考

Rust · 0.1.0

Sign Out

POST /api/v1/auth/signout

AuthService · AuthService_SignOut

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

需要有效账号认证;实例策略及下方操作特有的检查仍然适用。

退出登录不等于撤销 PAT

不需要请求体。使用会话访问认证并携带匹配刷新 Cookie 时,会移除存储的刷新会话并清除 Cookie。此接口不会删除用于调用它的 PAT。集成令牌应通过 DeletePersonalAccessToken 撤销。

成功响应

此操作没有资源对象需要返回。Rust REST 传输将 protobuf Empty 序列化为 HTTP 200 与 JSON {}。生成接口定义中的成功结构为空是有意行为,不表示遗漏了请求说明。

请求

SignOut terminates the user's authentication. Revokes the refresh token and clears the authentication cookie.

POST/api/v1/auth/signout

参数

未声明路径或查询参数。

请求体

未声明请求体。

响应

200 · OK

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "AuthService"
  ],
  "description": "SignOut terminates the user's authentication.\n Revokes the refresh token and clears the authentication cookie.",
  "operationId": "AuthService_SignOut",
  "responses": {
    "200": {
      "description": "OK",
      "content": {}
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}